from django.urls import path

from . import views

app_name = 'booking'

urlpatterns = [
    path('', views.Booking.as_view()),
    path('<int:pk>/', views.BookingDetail.as_view()),
    path('<int:pk>/cancel/', views.BookingCancel.as_view()),
    path('statusList/', views.BookingStatusList.as_view()),
    path('setting/<int:pk>/', views.SettingDetail.as_view()),
    path('room/', views.Room.as_view()),
    path('room/bookingStatus/', views.RoomBookingStatus.as_view()),
    path('room/<uuid:pk>/', views.RoomDetail.as_view()),
    path('room/<uuid:pk>/bookingStatus/', views.RoomBookingStatusDetail.as_view()),
    path('seat/', views.Seat.as_view()),
    path('seat/<uuid:pk>/', views.SeatDetail.as_view()),
]
